Bug 398101 - Change SELinux policy for a specific module
Change SELinux policy for a specific module
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 18:06 EST by Pierre-Yves
Modified: 2008-01-30 14:06 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:06:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-11-24 18:06:15 EST
Description of problem:
Using a fingerprint reader that store the picture of the fingerprint on the
/homer/user I can not make it work with SELinux on a enforced mode.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.To reproduce it you need to install rpms that have not been through the
bugzilla yet, but I can give the link to the reviews if needed
2.
3.
  
Actual results:
The recognition of the fingerprint does not work

Expected results:
With setenforce 0 it works

Additional info:
Using audit2allow I got these information: 

module fprint 1.0;

require {
 type user_home_t;
 type local_login_t;
 class dir { read };
 class file { read getattr };
}

#============= local_login_t ==============
allow local_login_t user_home_t:dir read;
allow local_login_t user_home_t:file { read getattr };
Comment 1 Daniel Walsh 2007-12-01 08:23:58 EST
Fixed in selinux-policy-3.0.8-62.fc8
Comment 2 Daniel Walsh 2008-01-30 14:06:28 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.